/*
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */

package org.apache.felix.ipojo.runtime.core.components;

import org.apache.felix.ipojo.annotations.Component;
import org.apache.felix.ipojo.annotations.Property;
import org.apache.felix.ipojo.annotations.Provides;
import org.apache.felix.ipojo.annotations.ServiceProperty;
import org.apache.felix.ipojo.runtime.core.services.FooService;

import java.util.Properties;

/**
 * A simple component
 */
@Component
@Provides
public class MyComponent implements FooService {

    @Property
    private Boolean bool;

    @Property
    private Properties props;

    @ServiceProperty
    private String message;

    @Property
    private long number;

    @Property
    private int integer;

    @Property
    private double floating;

    @Override
    public boolean foo() {
        return message != null;
    }

    @Override
    public Properties fooProps() {
        return props;
    }

    @Override
    public Boolean getObject() {
        return bool;
    }

    @Override
    public boolean getBoolean() {
       return bool;
    }

    @Override
    public int getInt() {
        return integer;
    }

    @Override
    public long getLong() {
        return number;
    }

    @Override
    public double getDouble() {
        return floating;
    }
}
